Comment 28 for bug 275692

Based on feedback both here and in some of the bugs marked as duplicates, it appears this issue is resolved if you install linux-backports-modules-intrepid which will provide the ath5k/ath9k drivers. There is also a workaround if you want to continue using the proprietary ath_pci driver. I've updated the description of this bug report to reflect both.

After a quick discussion with the kernel team, it's not likely there will be any updates coming in for madwifi so I'm marking this "Fix Released" against linux-backports-modules-2.6.27 and "Won't Fix" against linux-restricted-modules. If you still experience this issue even after testing the workaround or installing linux-backports-modules-intrepid, please open a new bug. Thanks.